Rerank documents (Vertex Rank)

Reranks records using Google Vertex AI's Ranking API. The request body follows the Vertex rankRecords schema.

POST
/genai/v1/rank
AuthorizationBearer <token>

Bearer token authentication. Use your MPilot virtual-key JWT or admin JWT. Virtual keys (prefixed with sk-bf-) can also be passed here.

In: header

model?string

Vertex ranking model identifier.

query?string
records?array<object>
topN?integer
ignoreRecordDetailsInResponse?boolean
[key: string]any

Response Body

curl -X POST "https://loading/{AI_GATEWAY_URL}/genai/v1/rank" \  -H "Content-Type: application/json" \  -d '{}'
{}
{
  "error": {
    "code": 0,
    "message": "string",
    "status": "string",
    "details": [
      {
        "@type": "string",
        "fieldViolations": [
          {
            "description": "string"
          }
        ]
      }
    ]
  }
}
{
  "error": {
    "code": 0,
    "message": "string",
    "status": "string",
    "details": [
      {
        "@type": "string",
        "fieldViolations": [
          {
            "description": "string"
          }
        ]
      }
    ]
  }
}
On this page

On this page

No Headings